/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/
/*************************************************************************/
/* module:          Library for utility Functions                        */
/*                                                                       */
/* file:            libutil.c                                            */
/* target system:   ALL                                                  */
/* target OS:       ALL                                                  */
/*                                                                       */
/* Description:                                                          */
/* Some I/O Utilities                                                    */
/*************************************************************************/

#ifndef _LIB_UTIL_H
#define _LIB_UTIL_H



/*************************************************************************
 *  Definitions
 *************************************************************************/


#include <smldef.h>


#ifdef __ANSI_C__
#include <stdarg.h>
#endif

#ifdef __PALM_OS__
#include <unix_stdarg.h>
#endif

#ifdef __EPOC_OS__
#include <stdarg.h>
#endif


/*************************************************************************
 *  External Functions
 *************************************************************************/

/* IO functions */
SML_API_DEF void smlLibPrint(const char *text, ...);
SML_API_DEF void smlLibVprintf(const char *format, va_list va);



#endif
