/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/
#if !defined(AFX_DATAPANE_H__3BA07614_F243_4894_8856_AE54694A3759__INCLUDED_)
#define AFX_DATAPANE_H__3BA07614_F243_4894_8856_AE54694A3759__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DataPane.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDataPane dialog
#include "SctsDevManT&D.h"

class CDataPane : public CDialog
{
// Construction
public:
	CDataPane(char *&_nodeData,SctsDMNodeFormat &_nodeFormat,unsigned int &_nodeSize,CWnd* pParent = NULL);   // standard constructor
	char *&nodeData;
	SctsDMNodeFormat &nodeFormat;
	unsigned int &nodeSize;
	bool isBinary;

// Dialog Data
	//{{AFX_DATA(CDataPane)
	enum { IDD = IDD_DATAPANE };
	CRichEditCtrl	m_dataCtrl;
	CString	m_data;
	int		m_bin;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDataPane)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDataPane)
	virtual BOOL OnInitDialog();
	afx_msg void OnDatabin();
	afx_msg void OnDatachr();
	afx_msg void OnDataapply();
	afx_msg void OnDatadiscard();
	afx_msg void OnDataload();
	afx_msg void OnDatasave();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DATAPANE_H__3BA07614_F243_4894_8856_AE54694A3759__INCLUDED_)
