
/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/
/**
 * File for Windows Specific Compiler Flags
 */

#ifndef _DEFINE_H
  #define _DEFINE_H
#define __ANSI_C__

/* enable Alloc helpers */
#define __USE_ALLOCFUNCS__

/* do we need WBXML (binary XML) processing ? */
#define __SML_WBXML__
/* do we need XML processing ? */
#define __SML_XML__
/* are we using a 'light' toolkit ? */
//#define __SML_LITE__
/* do we use Sub DTD extensions ? */
#define __USE_EXTENSIONS__
/* do we need Metainformation DTD parsing ? */
#define __USE_METINF__
/* do we use Device Info DTD ? */
//#define __USE_DEVINF__

/* which of the following optional commands should be included ? */

#define ADD_SEND
#define ATOMIC_SEND
#define ATOMIC_RECEIVE
#define COPY_SEND
#define COPY_RECEIVE
#define EXEC_SEND
#define EXEC_RECEIVE
#define GET_SEND
#define MAP_RECEIVE
#define MAPITEM_RECEIVE
#define RESULT_RECEIVE
#define SEARCH_SEND
#define SEARCH_RECEIVE
#define SEQUENCE_SEND
#define SEQUENCE_RECEIVE


/* TK: to improve interoperability and handling we 
 * switched to using .def files instead of compiler
 * specific per function definitions. As long as we only
 * use C this is the easiest and cleanes way
 */

#define SML_API 
#ifdef __cplusplus
#define SML_API_DEF extern "C"
#else
#define SML_API_DEF
#endif
#define XPT_API 

#endif
