/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/
/*************************************************************************/
/* module:          Communication Services, standard type definitions    */
/* file:            src/xpt/all/xpttypes.h                               */
/* target system:   all                                                  */
/* target OS:       all                                                  */
/*************************************************************************/


/**
 * Definition of several basic datatypes.
 *
 */

#ifndef XPTTYPES_H
#define XPTTYPES_H

#ifdef _cplusplus
extern "C" {
#endif

/* SCTSTK - 16/03/2002 */
typedef int Bool_t;

typedef unsigned char *DataBuffer_t;
typedef DataBuffer_t  *DataPtr_t;
typedef unsigned long  BufferSize_t;
typedef BufferSize_t  *BufferSizePtr_t;

typedef const char      *CString_t;
typedef char            *Ptr_t;
typedef char            *StringBuffer_t;
typedef CString_t       *StringPtr_t;
typedef StringBuffer_t  *StringBufferPtr_t;
typedef unsigned short   StringLength_t;



#ifdef _cplusplus
}
#endif

#endif
